org.apache.maven.scm.provider.svn.command.info

## Class SvnInfoScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.info.InfoScmResult
    - - org.apache.maven.scm.provider.svn.command.info.SvnInfoScmResult

All Implemented Interfaces:
  Serializable

Deprecated.
use `InfoScmResult`

    public class SvnInfoScmResult
    extends InfoScmResult

Author:
  Kenney Westerhof
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`SvnInfoScmResult(List<SvnInfoItem> files, ScmResult result)` Deprecated.
`SvnInfoScmResult(String commandLine, List<SvnInfoItem> files)` Deprecated.
`SvnInfoScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.info.InfoScmResult

`getInfoItems`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnInfoScmResult

    public SvnInfoScmResult(String commandLine,
                            String providerMessage,
                            String commandOutput,
                            boolean success)

Deprecated.

#### SvnInfoScmResult

    public SvnInfoScmResult(String commandLine,
                            List<SvnInfoItem> files)

Deprecated.

#### SvnInfoScmResult

    public SvnInfoScmResult(List<SvnInfoItem> files,
                            ScmResult result)

Deprecated.